<?
include_once("./_common.php");

// 出错时直接显示Error 不显示具体信息 

$mb_no           = trim($_GET[mb_no]);
$mb_datetime     = trim($_GET[mb_datetime]);
$mb_lost_certify = trim($_GET[mb_lost_certify]);

// 已会员固有序号获取会员信息。不使用会员id
$sql = " select mb_id, mb_datetime, mb_lost_certify from $g4[member_table] where mb_no = '$mb_no' ";
$mb  = sql_fetch($sql);
if (!trim($mb[mb_lost_certify]))
    die("Error");

// 密码查询认证页面仅执行一次
sql_query(" update $g4[member_table] set mb_lost_certify = '' where mb_no = '$mb_no' ");

// 进入页面后将密码设置为邮件发送的临时密码，并以md5储存，用户需要输入临时密码
if ($mb_lost_certify && $mb_datetime === sql_password($mb[mb_datetime]) && $mb_lost_certify === $mb[mb_lost_certify]) {
    sql_query(" update $g4[member_table] set mb_password = '$mb[mb_lost_certify]' where mb_no = '$mb_no' ");
    alert("用户名/密码查询认证成功！\\n\\n请您使用邮件中提供的帐户信息登录后尽快修改您的登录密码！", "$g4[url]/$g4[bbs]/login.php");
}
else {
    die("Error");
}
?>